Bug 12852 - The "preview" param is never used in serials/claims.pl
Summary: The "preview" param is never used in serials/claims.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 5342
Blocks: 12896 12969
  Show dependency treegraph
 
Reported: 2014-08-29 13:17 UTC by Jonathan Druart
Modified: 2016-06-21 21:37 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 12852: The "preview" param can be removed serials/claims.pl (6.61 KB, patch)
2014-08-29 13:19 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 12852: Some unused stuffs more (2.07 KB, patch)
2014-09-09 13:23 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 12852: C4::Bookseller should not be imported anymore (734 bytes, patch)
2014-09-23 10:40 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 12852: The "preview" param can be removed serials/claims.pl (6.87 KB, patch)
2014-09-23 14:21 UTC, Paola Rossi
Details | Diff | Splinter Review
Bug 12852: Some unused stuffs more (2.19 KB, patch)
2014-09-23 14:21 UTC, Paola Rossi
Details | Diff | Splinter Review
Bug 12852: C4::Bookseller should not be imported anymore (826 bytes, patch)
2014-09-23 14:22 UTC, Paola Rossi
Details | Diff | Splinter Review
[PASSED QA] Bug 12852: The "preview" param can be removed serials/claims.pl (6.73 KB, patch)
2014-10-11 21:25 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 12852: Some unused stuffs more (2.19 KB, patch)
2014-10-11 21:25 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 12852: C4::Bookseller should not be imported anymore (857 bytes, patch)
2014-10-11 21:25 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2014-08-29 13:17:25 UTC
This was managed in bug 5342.
For a better readability, I moved it in its own bug.
Comment 1 Jonathan Druart 2014-08-29 13:19:30 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2014-09-09 13:23:29 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2014-09-23 10:40:40 UTC Comment hidden (obsolete)
Comment 4 Paola Rossi 2014-09-23 14:21:13 UTC Comment hidden (obsolete)
Comment 5 Paola Rossi 2014-09-23 14:21:39 UTC Comment hidden (obsolete)
Comment 6 Paola Rossi 2014-09-23 14:22:13 UTC Comment hidden (obsolete)
Comment 7 Katrin Fischer 2014-10-11 21:25:05 UTC
Created attachment 32275 [details] [review]
[PASSED QA] Bug 12852: The "preview" param can be removed serials/claims.pl

This case (preview=1) never appened. This patch remove all occurrences
in the pl and the tt files.

Test plan:
Verify you don't manage to find a place where preview is set to 1 on the
claim serials page.

Signed-off-by: Paola Rossi <paola.rossi@cineca.it>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Katrin Fischer 2014-10-11 21:25:19 UTC
Created attachment 32276 [details] [review]
[PASSED QA] Bug 12852: Some unused stuffs more

These parameters are never used.
GetBookSeller takes a string (bookseller name) in parameter, not an id!

Signed-off-by: Paola Rossi <paola.rossi@cineca.it>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Katrin Fischer 2014-10-11 21:25:37 UTC
Created attachment 32277 [details] [review]
[PASSED QA] Bug 12852: C4::Bookseller should not be imported anymore

This script does not depend on C4::Bookseller anymore. The import can be
removed.

Signed-off-by: Paola Rossi <paola.rossi@cineca.it>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Tomás Cohen Arazi 2014-12-03 14:54:41 UTC
Patches pushed to master.

Thanks Jonathan!
Comment 11 Chris Cormack 2014-12-03 20:16:23 UTC
Pushed to 3.18.x will be in 3.18.01